package com.bonus.sgzb.material.domain;

import com.bonus.sgzb.common.core.annotation.Excel;
import com.bonus.sgzb.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 年度计划plan_need_info对象 plan_need_info
 * 
 * @author bonus
 * @date 2023-12-10
 */
public class PlanNeedInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 计划ID */
    @ApiModelProperty(value = "计划ID")
    private Long planId;

    /** 需求单位id */
    @ApiModelProperty(value = "需求单位id")
    @Excel(name = "需求单位id")
    private Long unitId;

    /** 编号 */
    @ApiModelProperty(value = "编号")
    @Excel(name = "编号")
    private String code;

    /** 数据所属组织 */
    @ApiModelProperty(value = "数据所属组织")
    @Excel(name = "数据所属组织")
    private Long companyId;

    public void setPlanId(Long planId) 
    {
        this.planId = planId;
    }

    public Long getPlanId() 
    {
        return planId;
    }
    public void setUnitId(Long unitId) 
    {
        this.unitId = unitId;
    }

    public Long getUnitId() 
    {
        return unitId;
    }
    public void setCode(String code) 
    {
        this.code = code;
    }

    public String getCode() 
    {
        return code;
    }
    public void setCompanyId(Long companyId) 
    {
        this.companyId = companyId;
    }

    public Long getCompanyId() 
    {
        return companyId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("planId", getPlanId())
            .append("unitId", getUnitId())
            .append("code", getCode())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("companyId", getCompanyId())
            .toString();
    }
}
